# Blynk.NCP low-level driver
A shared interface to the services provided by Blynk.NCP

[![version](https://img.shields.io/github/release/blynkkk/BlynkNcpDriver.svg)](https://github.com/blynkkk/BlynkNcpDriver/releases/latest)
[![downloads](https://img.shields.io/github/downloads/blynkkk/BlynkNcpDriver/total)](https://github.com/blynkkk/BlynkNcpDriver/releases/latest)
[![issues](https://img.shields.io/github/issues/blynkkk/BlynkNcpExample.svg)](https://github.com/blynkkk/BlynkNcpExample/issues)
[![license](https://img.shields.io/github/license/blynkkk/BlynkNcpDriver)](LICENSE)

## Minimum System Requirements

`C99` compiler | `1KB` RAM | `8KB` Flash | `38400 8N1` UART

## Documentation

- [Supported Connectivity Modules](https://docs.blynk.io/en/getting-started/supported-boards#connectivity-modules-supported-by-blynk.ncp)
- [Blynk.NCP Protocol Specification](docs/NCP%20Protocol%20Specification.md)
- [Advanced Time and Location API](docs/Time%20and%20Location.md)
- [Primary MCU OTA upgrades](docs/Firmware%20Upgrade.md)
- [Factory Testing](docs/Factory%20Testing.md)

## Report an issue

Issues are maintained in the [BlynkNcpExample](https://github.com/blynkkk/BlynkNcpExample/issues) repository.

## Disclaimer

> The community edition of Blynk.NCP is available for personal use and evaluation.  
> If you're interested in using Blynk.NCP for commercial applications, feel free to [contact Blynk][blynk_sales]. Thank you!

[blynk_sales]: https://blynk.io/en/contact-us-business
